
 LinHES - Bug # 764: Bugfix #723 comes unglued by recent kernal changes in pacman update.

Status: Closed Priority: Normal
Author: snaproll Category: Kernel
Created: 03/10/2011 Assignee:
Updated: 11/10/2011 Due date:
Description: v41-dvb drivers installed by pacman (sudo pacman -Sf v4l-dvb) for the Hauppage HD-PVR still don't have the 

line that recognizes the newest (id: 4903) HDPVR:

[code:]
[greg@mythbox60 ~]$ modinfo hdpvr
filename:       /lib/modules/2.6.28-LinHES/kernel/drivers/media/video/hdpvr/hdpv           r.ko
description:    Hauppauge HD PVR driver
author:         Janne Grunau
license:        GPL
alias:          usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*
depends:        usbcore,videodev,v4l2-common
vermagic:       2.6.28-LinHES SMP preempt mod_unload 686
parm:           video_nr:video device number (-1=Auto) (array of int)
parm:           hdpvr_debug:enable debugging output (int)
parm:           default_video_input:default video input: 0=Component / 1=S-Video            / 2=Composite (uint)
parm:           default_audio_input:default audio input: 0=RCA back / 1=RCA fron           t / 2=S/PDIF (uint)
parm:           boost_audio:boost the audio signal (bool)
[/code]

Bugfix #723 had this fixed (I had a working 4903 HDPVR a month ago) until recent kernal changes in the 
pacman 6.04 update created files that block the completion of the pacman -U install of the 723 Bugfix:( See 
tail end of: http://knoppmyth.net/phpBB2/viewtopic.php?t=20883&start=15 )

Tried second bugfix install on another machine with a fresh 6.04 pacman upgrade, failed the same way.

Kernal version: 
[code]
is owned by kernel26 2.6.28.5-5
[/code]

History
03/14/2011 07:41 am - snaproll
Tried fresh 6.02 (CD) install on original (had it working) machine... Ran Bugfix 723, forced pacman U install.  Machine not roached for HDHR 
recordings, and HD-PVR will now open in Setup- Cards... but it doesn't show up in the tuner list in backend status, and isn't selectable for live TV and 
recordings scheduled for it (shows up as assigned tuner in 'upcoming recordings' list) fail.

08/02/2011 01:38 pm - mihanson
- Target version set to 7.1

- Status changed from New to Feedback

- Category set to Kernel
id 4903 should be in kernel as of 2.6.38 and beyond.  R7 will use 2.6.39 so this issue likely will disappear.

11/10/2011 02:15 pm - brfransen
- Status changed from Feedback to Closed
